os: Visual Studio 2015

cache:
  - c:\cargo\registry
  - c:\cargo\git

init:
  - mkdir c:\cargo
  - mkdir c:\rustup
  - SET PATH=c:\cargo\bin;%PATH%

environment:
  CARGO_HOME: "c:\\cargo"
  RUSTUP_HOME: "c:\\rustup"

  matrix:
    - TARGET: i686-pc-windows-msvc
      CHANNEL: stable
    - TARGET: x86_64-pc-windows-msvc
      CHANNEL: stable

install:
  - curl -sSf -o rustup-init.exe https://win.rustup.rs/
  - rustup-init.exe -y --default-host %TARGET% --no-modify-path
  - if defined MSYS2_BITS set PATH=%PATH%;C:\msys64\mingw%MSYS2_BITS%\bin
  - rustc -V
  - cargo -V

# 'cargo test' takes care of building for us, so disable Appveyor's build stage. This prevents
# the "directory does not contain a project or solution file" error.
build: false

# Equivalent to Travis' `script` phase
test_script:
  - cd cursive && cargo test --verbose --no-default-features --features markdown,crossterm-backend
